Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.util
Class PortletWindowUtils

    java.lang.Object
      org.apache.portals.bridges.util.PortletWindowUtils

public class PortletWindowUtils
extends Object

PortletWindowUtils

Version:
  $Id: PortletWindowUtils.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Field Summary
`static String` | `PORTLET_WINDOW_ID`

Constructor Summary
`PortletWindowUtils()`

Method Summary
`static String` | `getApplicationScopeSessionAttributeName(javax.portlet.PortletSession session, String attributeName)` Returns the name an attribute is (or will be) encoded in the PortletSession APPLICATION_SCOPE.
`static String` | `getApplicationScopeSessionAttributeName(String portletWindowId, String attributeName)` Returns the name an attribute is (or will be) encoded in the PortletSession APPLICATION_SCOPE.
`static String` | `getPortletWindowId(javax.portlet.PortletSession session)` Return the unique identification for the portlet window as assigned by the portal/portlet-container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_WINDOW_ID

    public static String PORTLET_WINDOW_ID

Constructor Detail

### PortletWindowUtils

    public PortletWindowUtils()

Method Detail

### getPortletWindowId

    public static String getPortletWindowId(javax.portlet.PortletSession session)

  Return the unique identification for the portlet window as assigned by the portal/portlet-container.
  This method makes use of the PortletSession to determine the window id as specified by the Portlet Specification 1.0, PLT.15.3, as well as stores the determined value under the `PORTLET_WINDOW_ID` in the portlet scope session.

  Parameters:
    `session` - the current PortletSession
  Returns:
    the unique identification of the portlet window

### getApplicationScopeSessionAttributeName

    public static String getApplicationScopeSessionAttributeName(javax.portlet.PortletSession session,
                                                                 String attributeName)

  Returns the name an attribute is (or will be) encoded in the PortletSession APPLICATION_SCOPE.

  Parameters:
    `session` - PortletSession
    `attributeName` - the attribute name to encode

### getApplicationScopeSessionAttributeName

    public static String getApplicationScopeSessionAttributeName(String portletWindowId,
                                                                 String attributeName)

  Returns the name an attribute is (or will be) encoded in the PortletSession APPLICATION_SCOPE.

  Parameters:
    `portletWindowId` - the unique portlet window identification retrieved from `getPortletWindowId(PortletSession)`.
    `attributeName` - the attribute name to encode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.